﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ApplicationForm.cs" company="MIPS">
//   All rights reserved MIPS
// </copyright>
// <summary>
//   Defines the ApplicationForm type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace GlimsPureDotNet.Views
{
    using System.Windows.Forms;
    using GlimsPureDotNet.Controllers;

    /// <summary>
    /// The application form.
    /// </summary>
    public partial class ApplicationForm : Form, IView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ApplicationForm"/> class.
        /// </summary>
        public ApplicationForm()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// The add listener.
        /// </summary>
        /// <param name="controller">
        /// The controller.
        /// </param>
        public void AddListener(IController controller)
        {
            this.ultraToolbarsManager.ToolClick += controller.UltraToolbarsManagerToolClick;
        }
    }
}
